at.chipkarte.client.elgaad.soap

## Class BefundFilterkriterien

- Object
- - at.chipkarte.client.elgaad.soap.BefundFilterkriterien

-     public class BefundFilterkriterien
      extends Object

  Filterkriterien für die Spezifizierung der Abfrage von Befunden (siehe Funktion `dokumentenuebersichtAbrufen()`).

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BefundFilterkriterien()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Code[]` | `getClassCodeList()` Dokumentenklassen (Oberklasse), auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getConfidentialityCodeList()` Vertraulichkeitsstufen der Dokumente, auf welche die Suche eingeschränkt werden soll.
    `String` | `getCreationTimeFrom()` Frühester Erstellungszeitpunkt von Dokumenten, auf welchen die Suche eingeschränkt werden soll.
    `String` | `getCreationTimeTo()` Spätester Erstellungszeitpunkt von Dokumenten, auf welchen die Suche eingeschränkt werden soll.
    `Code[]` | `getEventCodeList()` Vollbrachte Gesundheitsdienstleistungen, auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getFormatCodeList()` Interoperabilitätsstufen der Dokumente, auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getHealthcareFacilityTypeCodeList()` Klassifizierungen des GDAs aufgrund der Art der Gesundheitsdienste-Einrichtung, auf welche die Suche eingeschränkt werden soll.
    `Code[]` | `getPracticeSettingCodeList()` Liste der fachlichen Zuordnungen, auf welche die Suche eingeschränkt werden soll.
    `String` | `getServiceStartTimeFrom()` Früherster Behandlungsbeginn, auf welchen die Suche eingeschränkt werden soll.
    `String` | `getServiceStartTimeTo()` Spätester Behandlungsbeginn, auf welchen die Suche eingeschränkt werden soll.
    `String` | `getServiceStopTimeFrom()` Früherstes Behandlungsende, auf welches die Suche eingeschränkt werden soll.
    `String` | `getServiceStopTimeTo()` Spätestes Behandlungsende, auf welches die Suche eingeschränkt werden soll.
    `String[]` | `getStatusList()` Gültigkeit der Dokumente, auf welche die Suche eingeschränkt werden soll.
    `String` | `getSubmissionTimeFrom()` Frühester Veröffentlichungzeitpunkt, auf welchen die Suche eingeschränkt werden soll.
    `String` | `getSubmissionTimeTo()` Spätester Veröffentlichungzeitpunkt, auf welchen die Suche eingeschränkt werden soll.
    `Code[]` | `getTypeCodeList()` Dokumententypen (Unterklasse), auf welche die Suche eingeschränkt werden soll.
    `void` | `setClassCodeList(Code[] classCodeList)`
    `void` | `setConfidentialityCodeList(Code[] confidentialityCodeList)`
    `void` | `setCreationTimeFrom(String creationTimeFrom)`
    `void` | `setCreationTimeTo(String creationTimeTo)`
    `void` | `setEventCodeList(Code[] eventCodeList)`
    `void` | `setFormatCodeList(Code[] formatCodeList)`
    `void` | `setHealthcareFacilityTypeCodeList(Code[] healthcareFacilityTypeCodeList)`
    `void` | `setPracticeSettingCodeList(Code[] practiceSettingCodeList)`
    `void` | `setServiceStartTimeFrom(String serviceStartTimeFrom)`
    `void` | `setServiceStartTimeTo(String serviceStartTimeTo)`
    `void` | `setServiceStopTimeFrom(String serviceStopTimeFrom)`
    `void` | `setServiceStopTimeTo(String serviceStopTimeTo)`
    `void` | `setStatusList(String[] statusList)`
    `void` | `setSubmissionTimeFrom(String submissionTimeFrom)`
    `void` | `setSubmissionTimeTo(String submissionTimeTo)`
    `void` | `setTypeCodeList(Code[] typeCodeList)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BefundFilterkriterien

          public BefundFilterkriterien()

  - ### Method Detail

    - #### getClassCodeList

          public Code[] getClassCodeList()

      Dokumentenklassen (Oberklasse), auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Dokumentenklassen (z.B. Code 18842-5)
      Returns:
        Liste von Dokumentenklassen.

    - #### getTypeCodeList

          public Code[] getTypeCodeList()

      Dokumententypen (Unterklasse), auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Dokumentenklassen (z.B. Code 11490-0)
      Returns:
        Liste von Dokumententypen.

    - #### getPracticeSettingCodeList

          public Code[] getPracticeSettingCodeList()

      Liste der fachlichen Zuordnungen, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_PracticeSetting_VS (z.B. Code F001)
      Returns:
        Liste von fachlichen Zuordnungen.

    - #### getCreationTimeFrom

          public String getCreationTimeFrom()

      Frühester Erstellungszeitpunkt von Dokumenten, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellzeitpunkt Ab.

    - #### getCreationTimeTo

          public String getCreationTimeTo()

      Spätester Erstellungszeitpunkt von Dokumenten, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Erstellzeitpunkt Bis.

    - #### getServiceStartTimeFrom

          public String getServiceStartTimeFrom()

      Früherster Behandlungsbeginn, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Behandlungsbeginn Ab.

    - #### getServiceStartTimeTo

          public String getServiceStartTimeTo()

      Spätester Behandlungsbeginn, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Behandlungsbeginn Bis.

    - #### getServiceStopTimeFrom

          public String getServiceStopTimeFrom()

      Früherstes Behandlungsende, auf welches die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Behandlungsende Ab.

    - #### getServiceStopTimeTo

          public String getServiceStopTimeTo()

      Spätestes Behandlungsende, auf welches die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Behandlungsende Bis.

    - #### getSubmissionTimeFrom

          public String getSubmissionTimeFrom()

      Frühester Veröffentlichungzeitpunkt, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Veröffentlichungzeitpunkt Von.

    - #### getSubmissionTimeTo

          public String getSubmissionTimeTo()

      Spätester Veröffentlichungzeitpunkt, auf welchen die Suche eingeschränkt werden soll.
      Angabe: Kann
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Veröffentlichungzeitpunkt Bis.

    - #### getHealthcareFacilityTypeCodeList

          public Code[] getHealthcareFacilityTypeCodeList()

      Klassifizierungen des GDAs aufgrund der Art der Gesundheitsdienste-Einrichtung, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_HealthcareFacilityTypeCode (z.B. Code 100)
      Returns:
        Liste von GDA-Klassifizierungen.

    - #### getEventCodeList

          public Code[] getEventCodeList()

      Vollbrachte Gesundheitsdienstleistungen, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_ServiceEventsLabor bzw. ELGA_ServiceEventsEntlassbr_VS (z.B. GDLSTATAUF)
      Returns:
        Liste von Gesundheitsdienstleistungen.

    - #### getConfidentialityCodeList

          public Code[] getConfidentialityCodeList()

      Vertraulichkeitsstufen der Dokumente, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_Confidentiality (z.B. L)
      Returns:
        Liste von Vertraulichkeitsstufen.

    - #### getFormatCodeList

          public Code[] getFormatCodeList()

      Interoperabilitätsstufen der Dokumente, auf welche die Suche eingeschränkt werden soll. Siehe `Code`.
      Angabe: Kann
      mögliche Werte: siehe Terminologieserver ValueSets ELGA_FormatCode_VS (z.B. urn:elga:2015:EIS_Basic)
      Returns:
        Liste von Interoperabilitätsstufen.

    - #### getStatusList

          public String[] getStatusList()

      Gültigkeit der Dokumente, auf welche die Suche eingeschränkt werden soll.
      Angabe: Kann
      mögliche Werte: siehe `AvailabilityStatusTypConstants`.
      Default bei Nichtangabe: `AvailabilityStatusTypConstants.APPROVED`.
      Returns:
        Liste von Availabilitystatus.

    - #### setClassCodeList

          public void setClassCodeList(Code[] classCodeList)

    - #### setTypeCodeList

          public void setTypeCodeList(Code[] typeCodeList)

    - #### setPracticeSettingCodeList

          public void setPracticeSettingCodeList(Code[] practiceSettingCodeList)

    - #### setCreationTimeFrom

          public void setCreationTimeFrom(String creationTimeFrom)

    - #### setCreationTimeTo

          public void setCreationTimeTo(String creationTimeTo)

    - #### setServiceStartTimeFrom

          public void setServiceStartTimeFrom(String serviceStartTimeFrom)

    - #### setServiceStartTimeTo

          public void setServiceStartTimeTo(String serviceStartTimeTo)

    - #### setServiceStopTimeFrom

          public void setServiceStopTimeFrom(String serviceStopTimeFrom)

    - #### setServiceStopTimeTo

          public void setServiceStopTimeTo(String serviceStopTimeTo)

    - #### setSubmissionTimeFrom

          public void setSubmissionTimeFrom(String submissionTimeFrom)

    - #### setSubmissionTimeTo

          public void setSubmissionTimeTo(String submissionTimeTo)

    - #### setHealthcareFacilityTypeCodeList

          public void setHealthcareFacilityTypeCodeList(Code[] healthcareFacilityTypeCodeList)

    - #### setEventCodeList

          public void setEventCodeList(Code[] eventCodeList)

    - #### setConfidentialityCodeList

          public void setConfidentialityCodeList(Code[] confidentialityCodeList)

    - #### setFormatCodeList

          public void setFormatCodeList(Code[] formatCodeList)

    - #### setStatusList

          public void setStatusList(String[] statusList)